Bug 502565 - CVE-2006-1861 CVE-2007-2754 Multiple freetype1 vulnerabilities [Fedora rawhide]
CVE-2006-1861 CVE-2007-2754 Multiple freetype1 vulnerabilities [Fedora rawhide]
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: freetype1 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2007-2754 CVE-2006-1861
  Show dependency treegraph
 
Reported: 2009-05-26 04:05 EDT by Tomas Hoger
Modified: 2010-01-05 08:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.4-0.8.pre.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-28 04:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FT1 CVE-2006-1861 patch as used in RHSA (545 bytes, patch)
2009-05-26 04:15 EDT, Tomas Hoger
no flags Details | Diff
FT1 CVE-2007-2754 patch as used in RHSA (486 bytes, patch)
2009-05-26 04:16 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2009-05-26 04:05:25 EDT
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in all affected branches.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

	bug #484437: CVE-2006-1861 freetype: multiple integer overflow vulnerabilities
	bug #240200: CVE-2007-2754 freetype integer overflow
Comment 1 Tomas Hoger 2009-05-26 04:09:30 EDT
These old issues were previously fixed in FT2, but parts apply to FT1 as well.  The fixes were included in RHEL freetype packages update (which contain both FT1 and FT2 on RHEL-2.1 - RHEL-4):

  http://rhn.redhat.com/errata/RHSA-2009-0329.html

All current Fedora branches should contain same FT1 version with identical patches, so this should apply to all.
Comment 2 Tomas Hoger 2009-05-26 04:15:45 EDT
Created attachment 345396 [details]
FT1 CVE-2006-1861 patch as used in RHSA
Comment 3 Tomas Hoger 2009-05-26 04:16:20 EDT
Created attachment 345397 [details]
FT1 CVE-2007-2754 patch as used in RHSA
Comment 4 Fedora Update System 2009-05-26 16:55:07 EDT
freetype1-1.4-0.8.pre.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freetype1-1.4-0.8.pre.fc10
Comment 5 Fedora Update System 2009-05-26 16:55:53 EDT
freetype1-1.4-0.8.pre.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freetype1-1.4-0.8.pre.fc11
Comment 6 Alexei Podtelezhnikov 2009-05-26 17:26:18 EDT
Would you please fix a typo ("obsolote") in the package description and make it more obvious that it is an old-old library by moving the second paragraph upfront?

I am curious which package still uses it and why we cannot drop this old library.
Nobody should use it any longer.
Comment 7 Tomas Hoger 2009-05-27 02:44:03 EDT
(In reply to comment #6)
> I am curious which package still uses it and why we cannot drop this old
> library.

$ repoquery -q --whatrequires 'libttf.so.2()(64bit)'
freetype1-0:1.4-0.6.pre.fc10.x86_64
freetype1-utils-0:1.4-0.6.pre.fc10.x86_64
MagicPoint-0:1.11b-7.fc10.x86_64
freetype1-devel-0:1.4-0.6.pre.fc10.x86_64

Looks like only MagicPoint now.
Comment 8 Tomas Hoger 2009-05-27 02:46:47 EDT
Ah, looks like Ajax already did few steps to get rid of that last dependency either:

http://cvs.fedoraproject.org/viewvc/rpms/MagicPoint/devel/MagicPoint.spec#rev1.11
Comment 9 Adam Jackson 2009-05-27 13:24:24 EDT
freetype1 is a dead package in F12.  We could remove it in F11 without too much hassle but I didn't think it was worth it given how close to release we are.
Comment 10 Fedora Update System 2009-05-28 04:00:59 EDT
freetype1-1.4-0.8.pre.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-28 04:17:02 EDT
freetype1-1.4-0.8.pre.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.